/*
   This is the third of three compilation units that
   make up a simple C program.

   This file exports a variable and a function.
*/
#include <stdio.h>

// export (define) this variable
int y = 2;

// an initialized global variable (that is not exported)
static int z = 0;

// export (define) this function
int g(int x)
{
   printf("in compilation unit 3, the address of y is %#.8x\n", &y);
   printf("in compilation unit 3, the address of z is %#.8x\n", &z);

   return x+1;
}
